import { defineMarkdocConfig, component } from '@astrojs/markdoc/config';

export default defineMarkdocConfig({
  tags: {
    ElementSymbol: {
      render: component('./src/components/content/ElementSymbol.astro'),
      attributes: {
        element: { type: String },
        size: { type: String },
        color: { type: String },
      },
    },
  },
});
